org.eclipse.cdt.core.settings.model.extension

## Class CBuildData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CBuildData

All Implemented Interfaces:
  ICSettingBase

Direct Known Subclasses:
  CDefaultBuildData

    public abstract class CBuildData
    extends CDataObject

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
Constructor and Description
`CBuildData()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract IEnvironmentContributor` `getBuildEnvironmentContributor()`
`abstract org.eclipse.core.runtime.IPath` `getBuilderCWD()`
`org.eclipse.core.resources.ICommand` `getBuildSpecCommand()` Override to return the build-command overlayed with data (eg.
`abstract String[]` `getErrorParserIDs()`
`abstract ICOutputEntry[]` `getOutputDirectories()`
`int` `getType()`
`abstract void` `setBuilderCWD(org.eclipse.core.runtime.IPath path)`
`abstract void` `setErrorParserIDs(String[] ids)`
`abstract void` `setOutputDirectories(ICOutputEntry[] entries)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`getId, getName, isValid, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CBuildData

    public CBuildData()

### Method Detail

#### getType

    public final int getType()

Specified by:
  `getType` in class `CDataObject`

#### getBuilderCWD

    public abstract org.eclipse.core.runtime.IPath getBuilderCWD()

#### setBuilderCWD

    public abstract void setBuilderCWD(org.eclipse.core.runtime.IPath path)

#### getOutputDirectories

    public abstract ICOutputEntry[] getOutputDirectories()

#### setOutputDirectories

    public abstract void setOutputDirectories(ICOutputEntry[] entries)

#### getErrorParserIDs

    public abstract String[] getErrorParserIDs()

#### setErrorParserIDs

    public abstract void setErrorParserIDs(String[] ids)

#### getBuildEnvironmentContributor

    public abstract IEnvironmentContributor getBuildEnvironmentContributor()

#### getBuildSpecCommand

    public org.eclipse.core.resources.ICommand getBuildSpecCommand()

Override to return the build-command overlayed with data (eg. builder-arguments) managed by the build-system.

Since:
  5.4